For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.rebateright.com.au/api-reference/medicare-eligibility/llms.txt. For full documentation content, see https://docs.rebateright.com.au/api-reference/medicare-eligibility/llms-full.txt.

# Medicare Patient Verification

POST https://api.rebateright.com.au/VerifyPatient
Content-Type: application/json

This endpoint receives patient details and verifies patient information with Medicare.

### 🎨 How It Works

- First RebateRight validates the inputs for expected format and required information.
    
- Then it Uses Medicare Patient Verification Check service behind the scenes to provide the results.
    
- The response may include correct data if there is a mismatch.
    


### 🔍 Medicare Verification Process

#### 🪪 Medicare Card Number

If the Medicare card number is incorrect, verification fails. Medicare does not return corrected information.

**Response**

> The card number and/or patient details submitted did not match Medicare checks. Please verify the details and resubmit with additional information if available. 
  

#### 🎂 Date of Birth

If the date of birth is the only incorrect field, Medicare will indicate that the DOB is incorrect, but does not return the correct value.

**Response**

> Patient Verification has been accepted however patient details were not an exact match. Please check patient Date of Birth before claiming. 
  

If other fields are also incorrect, verification fails and no corrections are provided.

**Response**

> The card number and/or patient details submitted did not match Medicare checks. Please verify the details and resubmit with additional information if available. 
  

#### 🔢 Medicare Reference Number

If this is the only incorrect field, Medicare returns the correct reference number to help you correct it.

**Response**

> Patient Verification has been accepted however patient details were not an exact match. Please check patient Individual Reference Number (IRN) before claiming. Correct Medicare Reference Number: 3. 
  

If other fields are also incorrect, verification fails and no corrections are provided.

**Response**

> The card number and/or patient details submitted did not match Medicare checks. Please verify the details and resubmit with additional information if available. 
  

#### 🧑 Given Name

Medicare validates the **first five characters of the patient’s given name**. If these match Medicare records, the request can still be accepted even if the full given name differs. **Example:** Submitted: **ELIZA** Medicare record: **ELIZABETH** This will be accepted.  
  
If the given name is the only incorrect field, Medicare returns the correct given name to assist with updating records.

**Response**

> Patient Verification has been accepted however patient details were not an exact match. Please check patient Given Name before claiming. Correct Given Name: CLINT. 
  

If other fields are also incorrect, verification fails and no corrections are provided.

**Response**

> The card number and/or patient details submitted did not match Medicare checks. Please verify the details and resubmit with additional information if available. 
  

#### 👪 Family Name & Sex

These fields are optional. If one or both of them are incorrect, verification still succeeds. Medicare ignores mismatches in these fields and does not report or correct them.

**Response**

> "Patient is eligible to claim for Medicare with details provided." 
  

#### 🆕 New Medicare Card Issued

if a new Medicare card has been issued for the patient, Medicare provides the correct Medicare Number, Reference Number, and Given Name.

**Response**

> A new Medicare card has been issued. Please confirm your records with the patient and if required update for any future claims. Correct Medicare Number: 6951393352. Correct Medicare Reference Number: 2. Correct Given Name: SAM."

#### 👤 Patients with a Single Name

For patients with only one name, submit:

- `PatientFamilyName`: the patient's single name (e.g. `MINJARRA`)
- `PatientGivenName`: `ONLYNAME`

Reference: https://docs.rebateright.com.au/api-reference/medicare-eligibility/medicare-patient-verification

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /VerifyPatient:
    post:
      operationId: medicare-patient-verification
      summary: Medicare Patient Verification
      description: >-
        This endpoint receives patient details and verifies patient information
        with Medicare.


        ### 🎨 How It Works


        - First RebateRight validates the inputs for expected format and
        required information.
            
        - Then it Uses Medicare Patient Verification Check service behind the
        scenes to provide the results.
            
        - The response may include correct data if there is a mismatch.
            


        ### 🔍 Medicare Verification Process


        #### 🪪 Medicare Card Number


        If the Medicare card number is incorrect, verification fails. Medicare
        does not return corrected information.


        **Response**


        > The card number and/or patient details submitted did not match
        Medicare checks. Please verify the details and resubmit with additional
        information if available. 
          

        #### 🎂 Date of Birth


        If the date of birth is the only incorrect field, Medicare will indicate
        that the DOB is incorrect, but does not return the correct value.


        **Response**


        > Patient Verification has been accepted however patient details were
        not an exact match. Please check patient Date of Birth before claiming. 
          

        If other fields are also incorrect, verification fails and no
        corrections are provided.


        **Response**


        > The card number and/or patient details submitted did not match
        Medicare checks. Please verify the details and resubmit with additional
        information if available. 
          

        #### 🔢 Medicare Reference Number


        If this is the only incorrect field, Medicare returns the correct
        reference number to help you correct it.


        **Response**


        > Patient Verification has been accepted however patient details were
        not an exact match. Please check patient Individual Reference Number
        (IRN) before claiming. Correct Medicare Reference Number: 3. 
          

        If other fields are also incorrect, verification fails and no
        corrections are provided.


        **Response**


        > The card number and/or patient details submitted did not match
        Medicare checks. Please verify the details and resubmit with additional
        information if available. 
          

        #### 🧑 Given Name


        Medicare validates the **first five characters of the patient’s given
        name**. If these match Medicare records, the request can still be
        accepted even if the full given name differs. **Example:** Submitted:
        **ELIZA** Medicare record: **ELIZABETH** This will be accepted.  
          
        If the given name is the only incorrect field, Medicare returns the
        correct given name to assist with updating records.


        **Response**


        > Patient Verification has been accepted however patient details were
        not an exact match. Please check patient Given Name before claiming.
        Correct Given Name: CLINT. 
          

        If other fields are also incorrect, verification fails and no
        corrections are provided.


        **Response**


        > The card number and/or patient details submitted did not match
        Medicare checks. Please verify the details and resubmit with additional
        information if available. 
          

        #### 👪 Family Name & Sex


        These fields are optional. If one or both of them are incorrect,
        verification still succeeds. Medicare ignores mismatches in these fields
        and does not report or correct them.


        **Response**


        > "Patient is eligible to claim for Medicare with details provided." 
          

        #### 🆕 New Medicare Card Issued


        if a new Medicare card has been issued for the patient, Medicare
        provides the correct Medicare Number, Reference Number, and Given Name.


        **Response**


        > A new Medicare card has been issued. Please confirm your records with
        the patient and if required update for any future claims. Correct
        Medicare Number: 6951393352. Correct Medicare Reference Number: 2.
        Correct Given Name: SAM."


        #### 👤 Patients with a Single Name


        For patients with only one name, submit:


        - `PatientFamilyName`: the patient's single name (e.g. `MINJARRA`)

        - `PatientGivenName`: `ONLYNAME`
      tags:
        - subpackage_medicareEligibility
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Medicare Eligibility_Medicare Patient
                  Verification_Response_200
        '400':
          description: Validation failure
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostVerifypatientRequestBadRequestError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                PatientSex:
                  type: string
                PatientGivenName:
                  type: string
                PatientFamilyName:
                  type: string
                PatientDateOfBirth:
                  type: string
                  format: date
                PatientMedicareNumber:
                  type: string
                PatientMedicareRefNumber:
                  type: string
              required:
                - PatientSex
                - PatientGivenName
                - PatientFamilyName
                - PatientDateOfBirth
                - PatientMedicareNumber
                - PatientMedicareRefNumber
servers:
  - url: https://api.rebateright.com.au
  - url: https://test-api.rebateright.com.au
components:
  schemas:
    Medicare Eligibility_Medicare Patient Verification_Response_200:
      type: object
      properties:
        Reason:
          type: string
        Verified:
          type:
            - boolean
            - 'null'
        CorrectSex:
          type:
            - string
            - 'null'
        CorrectGivenName:
          type:
            - string
            - 'null'
        CorrectFamilyName:
          type:
            - string
            - 'null'
        CorrectDateOfBirth:
          type:
            - string
            - 'null'
        CorrectMedicareNumber:
          type:
            - string
            - 'null'
        CorrectMedicareReferenceNumber:
          type:
            - string
            - 'null'
      required:
        - Reason
        - Verified
      title: Medicare Eligibility_Medicare Patient Verification_Response_200
    PostVerifypatientRequestBadRequestError:
      type: object
      properties:
        Reason:
          type: string
        Verified:
          type:
            - boolean
            - 'null'
        CorrectSex:
          type:
            - string
            - 'null'
        CorrectGivenName:
          type:
            - string
            - 'null'
        CorrectFamilyName:
          type:
            - string
            - 'null'
        CorrectDateOfBirth:
          type:
            - string
            - 'null'
        CorrectMedicareNumber:
          type:
            - string
            - 'null'
        CorrectMedicareReferenceNumber:
          type:
            - string
            - 'null'
      required:
        - Reason
        - Verified
      title: PostVerifypatientRequestBadRequestError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    minorId:
      type: apiKey
      in: header
      name: x-minor-id

```

## SDK Code Examples

```python Success
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "Edmond",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "1986-12-18",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "2"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"Edmond","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"1986-12-18","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Only Name
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "ONLYNAME",
    "PatientFamilyName": "Devo",
    "PatientDateOfBirth": "1980-01-01",
    "PatientMedicareNumber": "2297460337",
    "PatientMedicareRefNumber": "1"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Only Name
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"ONLYNAME","PatientFamilyName":"Devo","PatientDateOfBirth":"1980-01-01","PatientMedicareNumber":"2297460337","PatientMedicareRefNumber":"1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Only Name
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"ONLYNAME\",\n  \"PatientFamilyName\": \"Devo\",\n  \"PatientDateOfBirth\": \"1980-01-01\",\n  \"PatientMedicareNumber\": \"2297460337\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Only Name
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"ONLYNAME\",\n  \"PatientFamilyName\": \"Devo\",\n  \"PatientDateOfBirth\": \"1980-01-01\",\n  \"PatientMedicareNumber\": \"2297460337\",\n  \"PatientMedicareRefNumber\": \"1\"\n}"

response = http.request(request)
puts response.read_body
```

```java Only Name
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"ONLYNAME\",\n  \"PatientFamilyName\": \"Devo\",\n  \"PatientDateOfBirth\": \"1980-01-01\",\n  \"PatientMedicareNumber\": \"2297460337\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")
  .asString();
```

```php Only Name
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "ONLYNAME",
  "PatientFamilyName": "Devo",
  "PatientDateOfBirth": "1980-01-01",
  "PatientMedicareNumber": "2297460337",
  "PatientMedicareRefNumber": "1"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Only Name
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"ONLYNAME\",\n  \"PatientFamilyName\": \"Devo\",\n  \"PatientDateOfBirth\": \"1980-01-01\",\n  \"PatientMedicareNumber\": \"2297460337\",\n  \"PatientMedicareRefNumber\": \"1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Only Name
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "ONLYNAME",
  "PatientFamilyName": "Devo",
  "PatientDateOfBirth": "1980-01-01",
  "PatientMedicareNumber": "2297460337",
  "PatientMedicareRefNumber": "1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Deceased Patient
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "Sad",
    "PatientFamilyName": "Jones",
    "PatientDateOfBirth": "1964-09-15",
    "PatientMedicareNumber": "2296510128",
    "PatientMedicareRefNumber": "4"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Deceased Patient
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"Sad","PatientFamilyName":"Jones","PatientDateOfBirth":"1964-09-15","PatientMedicareNumber":"2296510128","PatientMedicareRefNumber":"4"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Deceased Patient
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Sad\",\n  \"PatientFamilyName\": \"Jones\",\n  \"PatientDateOfBirth\": \"1964-09-15\",\n  \"PatientMedicareNumber\": \"2296510128\",\n  \"PatientMedicareRefNumber\": \"4\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Deceased Patient
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Sad\",\n  \"PatientFamilyName\": \"Jones\",\n  \"PatientDateOfBirth\": \"1964-09-15\",\n  \"PatientMedicareNumber\": \"2296510128\",\n  \"PatientMedicareRefNumber\": \"4\"\n}"

response = http.request(request)
puts response.read_body
```

```java Deceased Patient
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Sad\",\n  \"PatientFamilyName\": \"Jones\",\n  \"PatientDateOfBirth\": \"1964-09-15\",\n  \"PatientMedicareNumber\": \"2296510128\",\n  \"PatientMedicareRefNumber\": \"4\"\n}")
  .asString();
```

```php Deceased Patient
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "Sad",
  "PatientFamilyName": "Jones",
  "PatientDateOfBirth": "1964-09-15",
  "PatientMedicareNumber": "2296510128",
  "PatientMedicareRefNumber": "4"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Deceased Patient
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Sad\",\n  \"PatientFamilyName\": \"Jones\",\n  \"PatientDateOfBirth\": \"1964-09-15\",\n  \"PatientMedicareNumber\": \"2296510128\",\n  \"PatientMedicareRefNumber\": \"4\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Deceased Patient
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "Sad",
  "PatientFamilyName": "Jones",
  "PatientDateOfBirth": "1964-09-15",
  "PatientMedicareNumber": "2296510128",
  "PatientMedicareRefNumber": "4"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python New Medicare Card
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "2",
    "PatientGivenName": "Sam",
    "PatientFamilyName": "Harris",
    "PatientDateOfBirth": "2000-09-12",
    "PatientMedicareNumber": "6951393261",
    "PatientMedicareRefNumber": "3"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript New Medicare Card
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"2","PatientGivenName":"Sam","PatientFamilyName":"Harris","PatientDateOfBirth":"2000-09-12","PatientMedicareNumber":"6951393261","PatientMedicareRefNumber":"3"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go New Medicare Card
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Sam\",\n  \"PatientFamilyName\": \"Harris\",\n  \"PatientDateOfBirth\": \"2000-09-12\",\n  \"PatientMedicareNumber\": \"6951393261\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby New Medicare Card
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Sam\",\n  \"PatientFamilyName\": \"Harris\",\n  \"PatientDateOfBirth\": \"2000-09-12\",\n  \"PatientMedicareNumber\": \"6951393261\",\n  \"PatientMedicareRefNumber\": \"3\"\n}"

response = http.request(request)
puts response.read_body
```

```java New Medicare Card
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Sam\",\n  \"PatientFamilyName\": \"Harris\",\n  \"PatientDateOfBirth\": \"2000-09-12\",\n  \"PatientMedicareNumber\": \"6951393261\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")
  .asString();
```

```php New Medicare Card
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "2",
  "PatientGivenName": "Sam",
  "PatientFamilyName": "Harris",
  "PatientDateOfBirth": "2000-09-12",
  "PatientMedicareNumber": "6951393261",
  "PatientMedicareRefNumber": "3"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp New Medicare Card
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Sam\",\n  \"PatientFamilyName\": \"Harris\",\n  \"PatientDateOfBirth\": \"2000-09-12\",\n  \"PatientMedicareNumber\": \"6951393261\",\n  \"PatientMedicareRefNumber\": \"3\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift New Medicare Card
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "2",
  "PatientGivenName": "Sam",
  "PatientFamilyName": "Harris",
  "PatientDateOfBirth": "2000-09-12",
  "PatientMedicareNumber": "6951393261",
  "PatientMedicareRefNumber": "3"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Given Name
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "PETER",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "2009-02-08",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "3"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Given Name
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"PETER","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"2009-02-08","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"3"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Given Name
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Given Name
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Given Name
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")
  .asString();
```

```php Incorrect Given Name
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Given Name
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Given Name
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Reference Number
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "Clint",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "2009-02-08",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "1"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Reference Number
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"Clint","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"2009-02-08","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Reference Number
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Clint\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Reference Number
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Clint\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"1\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Reference Number
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Clint\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")
  .asString();
```

```php Incorrect Reference Number
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "Clint",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "1"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Reference Number
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Clint\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Reference Number
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "Clint",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Date of Birth
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "Edmond",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "1990-01-01",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "2"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Date of Birth
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"Edmond","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"1990-01-01","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Date of Birth
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1990-01-01\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Date of Birth
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1990-01-01\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Date of Birth
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1990-01-01\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")
  .asString();
```

```php Incorrect Date of Birth
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1990-01-01",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Date of Birth
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1990-01-01\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Date of Birth
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1990-01-01",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Medicare Number
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "John",
    "PatientFamilyName": "Doe",
    "PatientDateOfBirth": "1979-09-13",
    "PatientMedicareNumber": "2398125261",
    "PatientMedicareRefNumber": "1"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Medicare Number
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"John","PatientFamilyName":"Doe","PatientDateOfBirth":"1979-09-13","PatientMedicareNumber":"2398125261","PatientMedicareRefNumber":"1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Medicare Number
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"John\",\n  \"PatientFamilyName\": \"Doe\",\n  \"PatientDateOfBirth\": \"1979-09-13\",\n  \"PatientMedicareNumber\": \"2398125261\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Medicare Number
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"John\",\n  \"PatientFamilyName\": \"Doe\",\n  \"PatientDateOfBirth\": \"1979-09-13\",\n  \"PatientMedicareNumber\": \"2398125261\",\n  \"PatientMedicareRefNumber\": \"1\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Medicare Number
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"John\",\n  \"PatientFamilyName\": \"Doe\",\n  \"PatientDateOfBirth\": \"1979-09-13\",\n  \"PatientMedicareNumber\": \"2398125261\",\n  \"PatientMedicareRefNumber\": \"1\"\n}")
  .asString();
```

```php Incorrect Medicare Number
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "John",
  "PatientFamilyName": "Doe",
  "PatientDateOfBirth": "1979-09-13",
  "PatientMedicareNumber": "2398125261",
  "PatientMedicareRefNumber": "1"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Medicare Number
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"John\",\n  \"PatientFamilyName\": \"Doe\",\n  \"PatientDateOfBirth\": \"1979-09-13\",\n  \"PatientMedicareNumber\": \"2398125261\",\n  \"PatientMedicareRefNumber\": \"1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Medicare Number
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "John",
  "PatientFamilyName": "Doe",
  "PatientDateOfBirth": "1979-09-13",
  "PatientMedicareNumber": "2398125261",
  "PatientMedicareRefNumber": "1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Gender (Accepted)
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "2",
    "PatientGivenName": "Edmond",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "1986-12-18",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "2"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Gender (Accepted)
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"2","PatientGivenName":"Edmond","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"1986-12-18","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Gender (Accepted)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Gender (Accepted)
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Gender (Accepted)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")
  .asString();
```

```php Incorrect Gender (Accepted)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "2",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Gender (Accepted)
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Gender (Accepted)
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "2",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Gender and Given Name
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "2",
    "PatientGivenName": "PETER",
    "PatientFamilyName": "FLETCHER",
    "PatientDateOfBirth": "2009-02-08",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "3"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Gender and Given Name
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"2","PatientGivenName":"PETER","PatientFamilyName":"FLETCHER","PatientDateOfBirth":"2009-02-08","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"3"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Gender and Given Name
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Gender and Given Name
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Gender and Given Name
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")
  .asString();
```

```php Incorrect Gender and Given Name
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "2",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Gender and Given Name
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"FLETCHER\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Gender and Given Name
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "2",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "FLETCHER",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Given and Family Name
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "PETER",
    "PatientFamilyName": "SMITH",
    "PatientDateOfBirth": "2009-02-08",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "3"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Given and Family Name
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"PETER","PatientFamilyName":"SMITH","PatientDateOfBirth":"2009-02-08","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"3"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Given and Family Name
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Given and Family Name
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Given and Family Name
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}")
  .asString();
```

```php Incorrect Given and Family Name
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Given and Family Name
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"PETER\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"2009-02-08\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"3\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Given and Family Name
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "PETER",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "2009-02-08",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "3"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Family Name (Accepted)
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "1",
    "PatientGivenName": "Edmond",
    "PatientFamilyName": "SMITH",
    "PatientDateOfBirth": "1986-12-18",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "2"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Family Name (Accepted)
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"1","PatientGivenName":"Edmond","PatientFamilyName":"SMITH","PatientDateOfBirth":"1986-12-18","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Family Name (Accepted)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Family Name (Accepted)
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Family Name (Accepted)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")
  .asString();
```

```php Incorrect Family Name (Accepted)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Family Name (Accepted)
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"1\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Family Name (Accepted)
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "1",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Incorrect Gender and Family Name (Accepted)
import requests

url = "https://api.rebateright.com.au/VerifyPatient"

payload = {
    "PatientSex": "2",
    "PatientGivenName": "Edmond",
    "PatientFamilyName": "SMITH",
    "PatientDateOfBirth": "1986-12-18",
    "PatientMedicareNumber": "4951525561",
    "PatientMedicareRefNumber": "2"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Incorrect Gender and Family Name (Accepted)
const url = 'https://api.rebateright.com.au/VerifyPatient';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"PatientSex":"2","PatientGivenName":"Edmond","PatientFamilyName":"SMITH","PatientDateOfBirth":"1986-12-18","PatientMedicareNumber":"4951525561","PatientMedicareRefNumber":"2"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Incorrect Gender and Family Name (Accepted)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/VerifyPatient"

	payload := strings.NewReader("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Incorrect Gender and Family Name (Accepted)
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/VerifyPatient")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}"

response = http.request(request)
puts response.read_body
```

```java Incorrect Gender and Family Name (Accepted)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/VerifyPatient")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}")
  .asString();
```

```php Incorrect Gender and Family Name (Accepted)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/VerifyPatient', [
  'body' => '{
  "PatientSex": "2",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Incorrect Gender and Family Name (Accepted)
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/VerifyPatient");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"PatientSex\": \"2\",\n  \"PatientGivenName\": \"Edmond\",\n  \"PatientFamilyName\": \"SMITH\",\n  \"PatientDateOfBirth\": \"1986-12-18\",\n  \"PatientMedicareNumber\": \"4951525561\",\n  \"PatientMedicareRefNumber\": \"2\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Incorrect Gender and Family Name (Accepted)
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "PatientSex": "2",
  "PatientGivenName": "Edmond",
  "PatientFamilyName": "SMITH",
  "PatientDateOfBirth": "1986-12-18",
  "PatientMedicareNumber": "4951525561",
  "PatientMedicareRefNumber": "2"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/VerifyPatient")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```